Arquivo

Archive for junho \28\UTC 2011

Instalando Eclipse Helios/3.6 no Ubuntu 11.04

Não sou fã do Eclipse. Já trabalhei bastante com ele, faz uns 2 anos, mas prefiro programas mais simples, como o Notepad++ no Windows e no máximo NetBeans quando faço alguma coisa com o Rails. Faz parte da tentativa de deixar de ser um programador point’n’click e aprender a usar emacs/vi + svn/git na linha de comando. 😉

Mas agora quero brincar um pouco com Android e achei que seguir esse pequeno curso do The Code Bakers seria um bom começo. E um dos requisitos, porém, é o uso do Eclipse. Justificável, dada a facilidade do emulador e a minha preguiça de procurar métodos alternativos enquanto estou brincando.

Parece que a última versão do Eclipse disponível no repositório oficial do Ubuntu é a Galileo/3.5. Talvez porque a 3.6 não seja estável nas versões mais recentes do sistema operacional. Fato é que eu não gosto de usar software desatualizado, salvo sobre meu Windows – XP – e um driver da Nvidia cuja última versão fazia o sistema dar memory dumps nas tarefas mais simples.

Alguns sites aconselham a alterar os endereços de repositórios do Eclipse mas não funcionou comigo. A solução foi usar o PPA da Eclipse Team que felizmente voltou a ser atualizado. Mão na massa:

sudo apt-key adv –recv-keys –keyserver keyserver.ubuntu.com 5126890CDCC7AFE0
sudo add-apt-repository ppa:eclipse-team/debian-package
sudo apt-get install libswt-gtk-3.6-java eclipse

Adicionei libswt-gtk-3.6-java à instalação porque o Eclipse não abriu sem essa dependência e o arquivo ~/workspace/.metadata/.log exibia um erro mencionando-a.

Enjoy your new Eclipse!

* Observação: descobri que o Android Development Tools é incompatível com o Eclipse 3.6. Se sua pretensão é usar o ADT, continue com o Eclipse 3.5.

Categorias:Gambiarras Tags:, , ,
%d blogueiros gostam disto: